/*
base color: #BECEDA
text color: #2B4C59
 */

/* Загальні налаштування */

* {
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    background: linear-gradient(30deg, #ff9a86, #fee1c8, #c8d9ef) no-repeat;
    font-family: Finlandica, sans-serif;
}

body.lock {
    overflow: hidden;
}

main {
    padding-top: 4vw;
    /*visibility: hidden;*/
}

section {
    padding: 1% 5%;
    margin: 1% 5%;
    width: 80%;
    background-color: rgba(255, 255, 255, 0.4);
    border-radius: 1vw;
    color: #111618;
}

h1, h2, h3, p, li {
    cursor: default;
}

h2 {
    font-size: 2vw;
    text-align: center;
    border-bottom: 2px solid rgba(17, 22, 24, 0.5);
    padding-bottom: 1vw;
}

h3 {
    font-size: 1.2vw;
    text-align: center;
}

input,
textarea {
    background: none;
    border: 1px solid #111618;
    border-radius: 0.5vw;
    padding: 0.2vw;
    margin: 0.2vw;
}

input:target,
textarea:target {
    border: 2px solid #111618;
}

.superuser_panel {
    position: fixed;
    z-index: 5;
    display: flex;
    background-color: white;
    box-shadow: 0 0 0.5vw #111618;
    top: 3.2vw;
    padding: 0.5vw;
}

.superuser_panel a {
    border-bottom: 1px dashed #F3442A;
}

.superuser_panel a:hover {
    border: none;
}

.alert {
    max-width: 90%;
    text-align: center;
    padding: 0.4vw;
    border-radius: 0.4vw;
    font-size: 1.2vw;
    color: white;
}

.alert-danger {
    background-color: #ff644dee;
}

.alert-success {
    background-color: #09C160ee;
}

/* Прелоадер

.preloader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    background: linear-gradient(30deg, #ff9a86, #fee1c8 , #c8d9ef) no-repeat;
    transition: all 0.4s ease-out;
}

.preloader_loader {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.preloader--hide {
    opacity: 0;
    z-index: -1;
}

.loading svg polyline {
  fill: none;
  stroke-width: 3;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.loading svg polyline#back {
  fill: none;
  stroke: #ff4d5033;
}

.loading svg polyline#front {
  fill: none;
  stroke: #ff4d4f;
  stroke-dasharray: 48, 144;
  stroke-dashoffset: 192;
  animation: dash_682 1.4s linear infinite;
}

@keyframes dash_682 {
  72.5% {
    opacity: 0;
  }

  to {
    stroke-dashoffset: 0;
  }
}

/* Налаштування хедера і футера */

header {
    width: 100%;
    height: 3vw;
    background: #ffffff;
    position: fixed;
    display: flex;
    justify-content: space-between;
    vertical-align: middle;
    box-shadow: 0 0 0.5vw #111618;
    z-index: 5;
}

header .nav_menu,
header .site_logo {
    display: flex;
    align-items: center;
}

header .site_logo img {
    height: 2.4vw;
    padding: 0 0.5vw;
}

.header_burger {
    display: none;
}

header .site_logo h1 {
    font-size: 1.5vw;
    color: #111618;
    font-weight: 600;
}
header .site_logo h1 a {
    text-decoration: none;
    color: #111618;
}

footer .site_logo {
    display: flex;
    align-items: center;
    margin: 0 0.5vw;
}

footer .site_logo img {
    height: 8vw;
}


footer .site_logo h1 {
    display: none;
}

footer .cabinet_button {
    align-self: baseline;
    margin-top: 1vw;
}

footer {
    display: flex;
    justify-content: space-between;
    vertical-align: middle;
    width: 100%;
    height: 10vw;
    background-color: #ffffff;
}

footer .nav_menu {
    width: 80%;
    display: flex;
    justify-content: space-between;
    vertical-align: middle;
}

footer ul {
    list-style: none;
    margin: 0;
}

footer li {
    margin: 0.2vw 0;
}

.contact_email, .contact_phone,
footer li .nav_button {
    color: #111618;
    font-weight: 400;
    font-size: 1vw;
}

footer .nav_button:hover {
    border-bottom: 1px solid #111618;
}

footer .li_title {
    font-weight: 600;
    font-size: 1vw;
    margin: 0.5vw 0;
}

.footer_icon {
    width: 2.4vw;
    filter: grayscale(100%);
    transform: scale(1);
    transition: 0.2s;
}

.footer_icon:hover {
    filter: none;
    transform: scale(1.1);
}

.nav_button {
    text-decoration: none;
    font-size: 1vw;
    color: #111618;
    font-weight: 600;
    margin: 0 0.7vw;
}

.nav_button:hover {
    border-bottom: 2px solid #111618;
    transform: translateY(0.07vw);
}

.cabinet_button {
    text-decoration: none;
    font-size: 1vw;
    color: #111618;
    border: 2px solid #111618;
    border-radius: 0.5vw;
    font-weight: 600;
    padding: 0.5vw 1vw;
    margin: 0 1vw 0 2vw;
    transition: 0.2s;
}

.cabinet_button:hover {
    color: white;
    background-color: #09C160;
    border: 2px solid #09C160;
}

/* Основна частина сайту */

.greeting {
    display: flex;
    flex-direction: column;
    height: 100%;
    text-align: center;
    background-color: transparent;
}

.greeting h1 {
    font-size: 3.6vw;
    margin: 0;
}

.greeting p {
    font-size: 1.2vw;
    margin: 0;
}

.features {
    width: 100%;
    padding: 1vw 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Карточки навігації */

.card,
.card_with_image,
.card_instruction {
    width: 15vw;
    height: 15vw;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin: 0 1vw;
    border-radius: 1vw;
    transition: 0.2s;
}

.card_with_image:hover,
.card:hover {
    transform: translateY(-0.2vw);
}

.card_info {
    background-image: linear-gradient(30deg, #D5EAF5b2, #F5DDDAb2);
    width: 100%;
    height: 100%;
    border: 2px solid #111618;
    border-radius: 1vw;
    text-align: left;
    transition: 0.2s;
}

.card_with_image .card_info {
    position: relative;
    left: -100%;
}

.card_info:hover {
    box-shadow: 0 0 1.5vw #d29985;
}

.card_title {
    font-size: 1.8vw;
    text-align: left;
    height: 4.5vw;
    padding: 0.4vw 0.4vw 0 0.4vw;
    color: #111618;
    margin: 0;
}

.card_text {
    height: 7.2vw;
    padding: 0 0.4vw;
    margin: 0;
    font-size: 1vw;
    color: #111618;
}

.card_image {
    width: 100%;
    border-radius: 1vw;
}

/* Карточки інструкцій */

.card_instruction .card_info {
    display: flex;
    align-items: center;
    flex-direction: column;
    border: none;
    box-shadow: none;
    background-image: none;
}

.card_instruction .card_title {
    font-size: 1.7vw;
    height: 2.6vw;
    text-align: center;
}

.card_instruction .card_text {
    height: 4vw;
    text-align: center;
}

.card_icon_1 {
    max-width: 8vw;
}

.card_icon_2 {
    max-width: 4vw;
}

.card_icon_3 {
    max-width: 7.2vw;
}

.next_instruction {
    width: 5vw;
    height: 5vw;
}

/* Карточки відгуків */

.review_card {
    height: 12vw;
    animation: glowing 2s infinite;
}

.review_card:hover {
    box-shadow: none;
}

@keyframes glowing {
    0% {
        box-shadow: 0 0 0.5vw #d29985;
    }
    50% {
        box-shadow: 0 0 1.5vw #d29985;
    }
    100% {
        box-shadow: 0 0 0.5vw #d29985;
    }
}

.review_info {
    font-style: italic;
    font-size: 0.8vw;
    padding-top: 0.4vw;
    padding-left: 0.4vw;
    color: #8c8c8c;
}

.review_user {
    font-size: 1vw;
    height: 2.4vw;
}

.review_text {
    overflow: hidden;
    height: 6vw;
    font-size: 0.8vw;
    line-height: 1.2vw;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
}

.review_rating {
    margin-top: 0.2vw;
    font-size: 0.8vw;
    font-weight: 600;
    padding-left: 0.2vw;
    display: flex;
    flex-direction: row;
    vertical-align: center;
    position: relative;
}

.review_rating .star {
    display: inline-block;
    width: 1vw;
    height: 1vw;
    background-size: cover;
    background-image: url('../icons/star-gray.png'); /* Замініть 'star.svg' на вашу зображення зірки */
}

.review_rating .star.active {
    background-image: url('../icons/star-gold.png'); /* Замініть 'star-filled.svg' на вашу зображення заповненої зірки */
}

/* Карточки новин */

.news_card {
    background-image: linear-gradient(30deg, #D5EAF5, #F5DDDA);
    width: 20vw;
    height: 13vw;
    display: flex;
    flex-direction: column;
    margin: 0 0.6vw;
    transition: 0.2s;
}

.news_card:hover {
    box-shadow: 0 0.4vw 1vw #d29985;
    transform: translateY(-0.2vw);
}

.news_more_button {
    height: 13vw;
    margin: 0 0.6vw;
    background: #111618;
    display: flex;
    align-items: center;
    border-radius: 1vw;
    color: white;
    text-decoration: none;
    transition: 0.2s;
}

.news_more_button lord-icon {
    width: 10vw;
    height: 100%
}

.news_more_button:hover {
    background: #09C160;
    box-shadow: 0 0 1.5vw #09C160;
    transform: translateY(-0.2vw);
}

.news_card_title {
    font-size: 1.6vw;
    text-align: left;
    height: 7vw;
    margin: 0 0.6vw 0.8vw 0.6vw;
    color: #111618;
    overflow: hidden;
    line-height: 1.75vw;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}

.news_card_date {
    margin: 0.6vw;
    margin-left: 1vw;
    color: #8c8c8c;
    font-size: 1vw;
}

.card_button,
.news_button {
    display: flex;
    justify-content: end;
}

.card_button a,
.news_button a {
    font-size: 1vw;
    color: #ffffff;
    text-decoration: none;
    background-color: #111618;
    border-radius: 0.5vw;
    font-weight: 600;
    padding: 0.5vw 1vw;
    margin: 0 0.6vw;
    transition: 0.2s;
}

.news_button a:hover,
.card_button a:hover {
    background-color: #09C160;
}

.news_button {
    margin-bottom: 1vw;
    font-style: normal;
}

.news_section,
.show_news_section {
    padding: 1% 2%;
    margin: 1% 18%;
    width: 60%;
    display: flex;
    flex-direction: column;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 1vw;
    color: #111618;
}

.news_date {
    color: #8c8c8c;
    padding-bottom: 1vw;
    font-size: 0.8vw;
}

.news_title {
    text-align: start;
    font-style: normal;
    font-size: 1.4vw;
}

.news_section_info {
    display: flex;
    justify-content: space-between;
}

.news_section_info .news_photo {
    width: 30%;
}

.news_section_info p {
    width: 70%;
    padding: 1vw 1vw;
    font-size: 1vw;
    overflow: hidden;
    height: 8vw;
    line-height: 1vw;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 9;
}

.news_photo {
    width: 70%;
    display: flex;
    align-self: center;
    margin: 1vw 0;
    border-radius: 0.6vw;
}

.news_section p,
.show_news_section p {
    font-size: 1vw;
}

.show_news_section p {
    text-align: justify;
}

/* Про нас */

.about_us {
    line-height: 1.5;
}

.about_us h3 {
    text-align: left;
    margin-top: 1vw;
    font-size: 1.4vw;
}
.about_us ul {
    margin-left: 15px;
}
.about_us ul li,
.about_us p {
    font-size: 1vw;
}

.member_box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.member_section h2 {
    width: 100%;
}

.member_item {
    display: flex;
    width: 20%;
    padding: 2.5%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.member_image {
    width: 60%;
    border-radius: 100%;
    box-shadow: 0 0 3vw #ff644d;
    overflow: hidden;
}
.member_image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.member_info {
    padding-top: 1vw;
    font-size: 1vw;
}

/* Замовлення ліків */

.medicine_section {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.medicine_card {
    display: flex;
    flex-direction: column;
    margin: 0.5vw;
    padding: 0.5vw;
    background: white;
    border: 2px solid #111618;
    border-radius: 1vw;
    transition: 0.2s;
}

.medicine_card:hover {
    box-shadow: 0 0.3vw 1vw #484a4b;
    transform: translateY(-0.2vw);
}

.medicine_card.soldout {
    border: 2px solid #8a8a8a;
    color: #8a8a8a;
    background-image: none;
    background-color: white;
}

.medicine_title {
    padding-bottom: 0.5vw;
}

.medicine_image {
    align-self: center;
    width: 100%;
    height: 18vw;
    border-top: 2px solid #111618;
    border-bottom: 2px solid #111618;
    padding: 0.5vw;
    overflow: hidden;
}

.medicine_image.soldout {
    filter: grayscale(100%);
    border-top: 2px solid #8a8a8a;
    border-bottom: 2px solid #8a8a8a;
}

.medicine_image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.medicine_price {
    font-size: 1.6vw;
    margin: 0.4vw 0;
}

.medicine_description {
    font-size: 0.8vw;
}

.medicine_specification {
    font-size: 1vw;
}

.location_box {
    font-style: italic;
    margin: 0.3vw 0 0.5vw 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: start;
}

.location_icon {
    width: 10%;
    padding-right: 0.4vw;
    border-radius: 2vw;
}

.medicine_location {
    width: 90%;
    font-size: 1vw;
    text-decoration: none;
    color: #111618;
    transition: 0.2s;
}

.medicine_location:hover {
    color: #ff922d;
}

.medicine_button {
    margin: 0.2vw 0.4vw;
    width: 40%;
    align-self: end;
    justify-self: end;
    margin-left: auto;
    margin-top: auto;
    text-align: center;
    font-size: 1vw;
    text-decoration: none;
    color: white;
    background-color: #111618;
    border-radius: 0.4vw;
    padding: 0.2vw 0.4vw;
    transition: 0.2s;
}

.medicine_button:hover {
    background-color: #09C160;
}

.medicine_button.soldout {
    background: transparent;
    width: 100%;
    padding: 0;
}

/* Попап */

.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #111618B6;
    top: 0;
    left: 0;
    z-index: 5;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
    overflow-x: hidden;
    transition: all 0.4s ease 0s;
}

.popup.open {
    opacity: 1;
    visibility: visible;
}

.popup.open .popup_box {
    transform: perspective(600px) translate(0%, 0%) rotateX(0deg);
    opacity: 1;
}

.popup_body {
    min-height: 98%;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5vw;
    transition: all 0.4s ease 0s;
}

.popup_box {
    max-width: 100%;
    min-width: 70%;
    border-radius: 1vw;
    background-color: white;
    position: relative;
    padding: 0.5vw;
    transition: all 0.4s ease 0s;
    opacity: 0;
    transform: perspective(600px) translate(0%, -100%) rotateX(45deg);
}

.popup_header {
    padding-bottom: 0.2vw;
    margin-bottom: 0.5vw;
    font-size: 2vw;
}

.popup_content {
    display: flex;
    justify-content: start;
    text-align: left;
}

.popup_photo {
    width: 40%;
    border: 2px solid #111618;
    border-radius: 1vw;
    padding: 0.3vw;
    margin: 0 1vw;
    overflow: hidden;
}

.popup_photo .doctor_photo {
    width: 20%;
}

.popup_photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.popup_info h4 {
    font-size: 2vw;
    margin-bottom: 0.2vw;
}

.popup_info p {
    font-size: 1vw;
    margin-bottom: 0.2vw;
}

.popup_message {
    margin-top: 1vw;
    color: #ff7500;
}

.quantity {
    display: flex;
    align-items: center;
}

.order_amount {
    width: 1.4vw;
    height: 1.2vw;
    font-size: 1.2vw;
    text-align: center;
    border: none;
    background: none;
    pointer-events: none;
}

.decrease,
.increase {
    width: 1.2vw;
    height: 1.2vw;
    border: none;
    cursor: pointer;
}

.decrease img,
.increase img {
    width: 100%;
    height: 100%;
    filter: grayscale(100%) brightness(20%);
    object-fit: cover;
    transition: 0.1s;
}

.decrease img:hover,
.increase img:hover {
    filter: grayscale(0%);
}

.order_price_text {
    color: #8c8c8c;
    font-size: 1vw
}

.order_price {
    font-size: 1.2vw;
    font-weight: 600;
}

.popup_footer {
    display: flex;
    justify-content: end;
}

.popup_link {
    margin-right: 0.6vw;
    text-align: center;
    font-size: 1vw;
    text-decoration: none;
    color: white;
    background-color: #111618;
    border-radius: 0.4vw;
    padding: 0.2vw 0.4vw;
    transition: 0.2s;
}

.popup_link:hover {
    background-color: #09C160;
}

.popup_close {
    position: absolute;
    right: 0.6vw;
}

.popup_close img {
    height: 2.2vw;
    filter: grayscale(100%);
    transition: 0.2s;
}

.popup_close img:hover {
    filter: grayscale(0);
}

/* Запис до лікаря */

.serch_bar {
    height: 2.5vw;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    vertical-align: middle;
}

.search_input {
    font-size: 1vw;
    height: 1.5vw;
    width: 30%;
    text-align: center;
}

.search_loader {
    display: none;
    width: 6vh;
    height: 6vh
}

.not_found {
    display: none;
    font-size: 4vw;
    font-weight: 600;
    width: 100%;
    height: 25vw;
}

.doctor_list {
    list-style: none;
}

.doctor_box {
    width: 100%;
    height: 12vw;
    display: flex;
    justify-content: left;
    background-color: white;
    border: 2px solid #111618;
    border-radius: 1vw;
    margin: 0.5vw 0;
}

.doctor_photo {
    width: 16%;
    padding: 0.5vw 1vw;
    display: flex;
    justify-content: center;
}

.doctor_photo img {
    height: 100%;
    border-radius: 1vw;
}


.doctor_info {
    width: 40%;
    padding: 0.5vw 1vw;
}

.doctor_info p {
    margin: 0 0 0.2vw 0;
}

.doctor_name {
    font-size: 1.5vw;
    margin-bottom: 0.5vw;
}

.doctor_specialization {
    font-size: 1vw;
    color: #ff922d;
}

.doctor_expiriance {
    font-size: 0.8vw;
    font-style: italic;
}

.doctor_rating {
    font-weight: 400;
    font-size: 0.8vw;
}

.doctor_schedule {
    width: 40%;
    margin-right: 1vw;
    padding: 0 1vw 0.5vw 1vw;
    display: flex;
    flex-direction: row;
    overflow-x: scroll;
    overflow-y: scroll;
    text-align: center;
}

.column {
    width: 5vw;
}

.column_title {
    position: -webkit-sticky; /* Safari */
    position: sticky;
    background-color: white;
    top: 0;
    padding: 10px 0 5px 0;
    width: 5vw;
    font-size: 1vw;
}

.schedule_time_box {
    margin: 1vw 0.5vw;
}

.schedule_time {
    border: none;
    border-radius: 0.5vw;
    background-color: #2088bd;
    padding: 0.3vw 1vw;
    text-decoration: none;
    color: white;
    font-weight: 600;
    font-size: 1vw;
    transition: 0.2s;
}

.schedule_time:hover {
    background-color: #01689C;
}

/* Налаштування кабінету */

.warning {
    width: 100%;
    height: 100%;
    margin-bottom: 1vw;
    background-color: #ff922d;
    border: 3px solid #ff7500;
    border-radius: 0.5vw;
}

.warning_message {
    margin: 0.5vw;
    font-size: 0.9vw;
}

.tabs_body {
    width: 100%;
    min-height: 22vw;
    max-height: 100%;
}

.tabs_items {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.tab_nav {
    width: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    text-decoration: none;
    color: #111618;
    font-size: 1vw;
    font-weight: 400;
    padding: 0.5vw;
    border: 2px solid #111618;
    border-radius: 0.5vw;
    transition: 0.2s;
}
.tab_nav:hover {
    border: 2px solid #ff922d;
    color: #ff922d;
}
.selected {
    border: 2px solid #ff922d;
    color: #ff922d;
}
.tab_nav span{
    pointer-events: none;
}
.tab_nav img {
    width: 40px;
    height: 40px;
    display: none;
}

.tabs_section {
    font-size: 0.9vw;
}

.tab_block {
    padding: 0.5vw 0;
    display: none;
    scroll-behavior: smooth;
}

.tab_block:target {
    display: block;
}

.active {
    display: block;
}

.tab_block p {
    padding: 0.5vw 0.5vw 0 0;
}

.clear_tab {
    width: 100%;
    height: 15vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clear_tab p {
    font-size: 3vw;
    font-weight: 600;
}

.office_card_box {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
}

.office_card {
    margin: 0.4vw;
    padding: 0.4vw;
    border: 2px solid #111618;
    border-radius: 1vw;
    background-image: linear-gradient(30deg, #D5EAF5, #F5DDDA);
    transition: 0.2s;
}

.office_card:hover {
    box-shadow: 0 0.4vw 1vw #d29985;
    transform: translateY(-0.2vw);
}

.office_card_title {
    text-align: center;
    font-size: 1.2vw;
}

.office_card_info li {
    list-style: none;
    margin-top: 0.4vw;
}

.order_date {
    color: #7e7e7e;
    font-size: 0.8vw;
}

.office_card_info li a {
    text-decoration: none;
    color: #111618;
    transition: 0.2s;
}

.office_card_info li a:hover {
    color: #ff922d;
}

.email_content {
    display: flex;
    vertical-align: middle;
}

.email_verify {
    margin-top: 0.5vw;
    margin-left: 0.4vw;
    padding: 0 0.5vw;
    font-size: 0.9vw;
    background-color: #ff922d;
    width: 20vw;
    height: 1vw;
    border: none;
    border-radius: 0.2vw;
    text-align: center;
    text-decoration: none;
    color: white;
    transition: 0.2s;
    cursor: pointer;
}

.email_verify:hover {
    background-color: #ff7500;
}

.success_icon {
    padding-top: 0.4vw;
    height: 1.4vw;
}

.user_settings {
    min-height: 15vw;
}

.logout_button_box {
    display: flex;
    justify-content: end;
}

.logout_button {
    display: block;
    width: 15%;
    text-align: center;
    text-decoration: none;
    font-size: 1vw;
    color: #F3442A;
    border: 2px solid #F3442A;
    border-radius: 0.5vw;
    font-weight: 600;
    padding: 0.5vw 1vw;
    transition: 0.2s;
}

.logout_button:hover {
    color: white;
    background-color: #F3442A;
    border: 2px solid #F3442A;
}

.review_box {
    background-color: #09C160;
    width: 100%;
    height: 100%;
    margin: 0.5vw 0;
    padding: 0.5vw 0;
    border-radius: 1vw;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.review_message {
    font-size: 1vw;
}
.review_send {
    font-size: 1vw;
    text-decoration: none;
    color: white;
    background-color: #111618;
    border-radius: 0.4vw;
    padding: 0.2vw;
    margin-left: 1vw;
    transition: 0.2s;
}

.review_send:hover {
    background-color: #09C160;
}

.review_rating_send {
    width: 1.6vw;
    height: 1.2vw;
    font-size: 1vw;
    text-align: center;
    border: none;
    background: none;
    pointer-events: none;
}
.review_message_send {
    width: 30vw;
    height: 10vw;
    font-family: Finlandica, sans-serif;
    font-size: 1vw;
}

.rating_stars_send {
    padding-left: 0.4vw;
    display: flex;
    flex-direction: row;
    align-content: center;
    position: relative;
    cursor: pointer;
}

.rating_stars_send .star {
    display: inline-block;
    width: 1.4vw;
    height: 1.4vw;
    background-size: cover;
    background-image: url('../icons/star-gray.png'); /* Замініть 'star-gray.png' на вашу зображення сірої зірки */
}

.rating_stars_send p {
    padding: 0.2vw 0.2vw 0 0;
}

.rating_stars_send .star.active {
    background-image: url('../icons/star-gold.png'); /* Замініть 'star-gold.png' на вашу зображення заповненої зірки */
}

/* Скроллбар */

::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-track {
    background-color: transparent;
}
::-webkit-scrollbar-thumb {
    background: #8c8c8c;
    border-radius: 5px;
    border: 2px solid white;
}

.header_burger,
#burger-toggle {
    display: none;
}

@media (max-width: 768px) {

    /* Загальні */

    main {
        padding-top: 52px;
    }

    section {
        margin: 10px 0;
        padding: 0;
        min-width: 100%;
        border-radius: 0;
    }

    .greeting {
        margin: 20px 0;
    }
    .greeting h1 {
        font-size: 38px;
    }
    .greeting p {
        font-size: 18px;
    }

    section h2 {
        padding: 5px 0;
        margin-bottom: 5px;
        font-size: 26px;
        border-bottom: 1px solid rgba(17, 22, 24, 0.5);
    }

    .alert {
        padding: 5px 10px;
        border-radius: 5px;
        font-size: 22px;
        color: white;
    }

    .serch_bar {
        height: 30px;
        margin-bottom: 10px;
    }

    .search_input {
        font-size: 18px;
        height: 22px;
        padding: 3px 0;
        width: 90%;
        border-radius: 10px;
    }

    .search_loader {
        display: none;
        width: 22px;
        height: 22px;
    }

    .not_found {
        font-size: 28px;
        height: 300px;
    }

    /* Хедер */

    header {
        height: 50px;
        box-shadow: none;
    }

    header .site_logo {
        z-index: 1;
    }

    header .site_logo img {
        height: 40px;
        margin-left: 8px;
        z-index: 1;
    }

    header .site_logo h1 {
        font-size: 22px;
        position: absolute;
        padding: 12px 0;
        width: 100%;
        text-align: center;
        background-color: white;

    }

    header .nav_menu {
        position: absolute;
        width: 100%;
        flex-direction: column;
        padding-bottom: 20px;
        padding-top: 50px;
        background-color: white;
        box-shadow: 0 0 5px #111618;
        top: -270px;
        transition: 0.2s;
    }

    header .nav_menu a {
        font-size: 24px;
        margin-top: 10px;
        opacity: 0;
        visibility: hidden;
        transition: 0.2s;
    }

    header .nav_menu .cabinet_button,
    footer .nav_menu .cabinet_button {
        margin-top: 20px;
        padding: 5px 20px;
        border: 2px solid #111618;
        border-radius: 10px;
    }

    header .nav_menu .cabinet_button:hover,
    footer .nav_menu .cabinet_button:hover {
        border: 2px solid #09C160;
    }

    .superuser_panel {
        width: 100%;
        top: 52px;
        box-shadow: none;
        justify-content: space-evenly;
        z-index: 1;
    }

    .superuser_panel a {
        font-size: 14px;
        text-align: center;
    }

    /* Кнопка "бургер" */

    .header_burger {
        display: block;
    }

    #burger-toggle {
        opacity: 0;
    }

    .burger_btn {
        display: flex;
        align-items: center;
        position: fixed;
        right: 20px;
        top: 10px;
        width: 30px;
        height: 30px;
        cursor: pointer;
        z-index: 1;
    }

    .burger_btn > span,
    .burger_btn > span::before,
    .burger_btn > span::after {
        display: block;
        position: absolute;
        width: 100%;
        height: 2px;
        background-color: #616161;
        transition: 0.2s;
    }

    .burger_btn > span::before {
        content: '';
        top: -10px;
    }

    .burger_btn > span::after {
        content: '';
        top: 10px;
    }

    #burger-toggle:checked ~ .burger_btn > span {
        transform: rotate(45deg);
    }

    #burger-toggle:checked ~ .burger_btn > span::before {
        top: 0;
        transform: rotate(0);
    }

    #burger-toggle:checked ~ .burger_btn > span::after {
        top: 0;
        transform: rotate(90deg);
    }

    #burger-toggle:checked ~ .nav_menu {
        top: 0;
    }

    #burger-toggle:checked ~ .nav_menu a {
        opacity: 1;
        visibility: visible;
    }

    /* Футер */

    footer {
        position: relative;
        flex-direction: row-reverse;
        height: fit-content;
        justify-content: center;
        align-content: center;
        width: 94%;
        padding: 3%;
    }

    footer .site_logo img {
        position: absolute;
        right: 12px;
        bottom: 35px;
        width: 115px;
        height: 115px;
    }

    footer .nav_menu {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    footer ul {
        width: 60%;
        padding-bottom: 10px;
    }

    footer .li_title {
        font-size: 22px;
    }

    footer li .nav_button,
    .contact_phone,
    .contact_email {
        font-size: 18px;
    }

    footer .nav_button:hover {
        border-bottom: 1px solid #111618;
    }

    footer .nav_menu .cabinet_button {
        position: absolute;
        margin: 0;
        font-size: 20px;
        top: 15px;
        right: 10px;
    }

    .footer_icon {
        padding-top: 10px;
        width: 40px;
        filter: none;
    }

    /* Головна сторінка */

    .features {
        justify-content: start;
        overflow-x: scroll;
        scrollbar-width: none; /* Для Firefox */
        -ms-overflow-style: none; /* Для Internet Explorer та Edge */
    }

    .features::-webkit-scrollbar {
        display: none; /* Для WebKit-браузерів */
    }

    .card,
    .card_with_image,
    .card_instruction,
    .news_card,
    .news_more_button {
        margin: 10px;
        flex-shrink: 0;
        height: 250px;
        width: 250px;
        overflow: hidden;
    }

    .card,
    .card_with_image,
    .news_card {
        border: 1px solid #111618;
        border-radius: 20px;
    }

    .card:hover,
    .card_with_image:hover,
    .news_card:hover {
        transform: scale(1.05);
        box-shadow: 0 0 20px #d29985;
    }

    @keyframes glowing {
        0% {
            box-shadow: 0 0 5px #d29985;
        }
        50% {
            box-shadow: 0 0 20px #d29985;
        }
        100% {
            box-shadow: 0 0 5px #d29985;
        }
    }
    .card_info {
        position: relative;
        border: none;
        padding: 5%;
        width: 90%;
    }

    .card_title {
        font-size: 28px;
        height: 30%;
    }

    .card_text {
        font-size: 18px;
        height: 58%;
    }

    .card_button a {
        font-size: 18px;
        padding: 5px 20px;
        border-radius: 10px;
    }

    .instructions {
        flex-direction: column;
    }

    .card_instruction,
    .card_instruction .card_info {
        width: 80%;
        padding: 0 10%;
        margin: 0;
    }

    .card_icon_1 {
        max-width: 200px;
        transform: translateY(10%);
    }

    .card_icon_2 {
        max-width: 105px;
        transform: translateY(5%);
    }

    .card_icon_3 {
        max-width: 170px;
        transform: translateY(-5%);
    }

    .next_instruction {
        flex-shrink: 0;
        width: 100px;
        height: 100px;
        transform: rotateZ(90deg);
    }

    .card_instruction .card_title {
        font-size: 28px;
        height: 14%;
    }

    .card_instruction .card_text {
        height: 20%;
    }

    .review_info {
        font-size: 14px;
        padding: 0;
    }

    .review_user {
        font-size: 22px;
        height: 24%;
        padding: 0;
    }

    .review_rating {
        font-size: 18px;
    }

    .review_rating .star {
        height: 20px;
        width: 20px;
    }

    .review_text {
        height: 126px;
        font-size: 18px;
        line-height: 18px;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 7;
    }

    .news_card {
        width: 300px;
        height: 150px;
    }

    .news_card .card_info {
        width: 96%;
        padding: 2%;
    }

    .news_card_date {
        font-size: 16px;
    }

    .news_card_title {
        height: 75px;
        font-size: 25px;
        line-height: 25px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        padding-bottom: 5px;
    }

    .card_button {
        position: absolute;
        bottom: 8px;
        right: 5px;
    }

    .news_more_button {
        border-radius: 20px;
        width: 100px;
        height: 150px;
    }

    .news_more_button lord-icon {
        width: 100%;
        height: 100%;
    }

    .news_more_button:hover {
        transform: scale(1.05);
    }

    /* Сторінка новин */
    .news_section {
        min-width: 96%;
        padding: 2%;
        margin: 0 0 10px 0;
        border-radius: none;
        color: #111618;
    }

    .news_section .news_date {
        color: #8c8c8c;
        padding-bottom: 1vw;
        font-size: 14px;
    }

    .news_title {
        padding: 0;
        margin: 0;
        font-size: 20px;
        line-height: 20px;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
    }

    .news_section_info p {
        width: 100%;
        padding: 0;
        margin: 10px 0;
        font-size: 16px;
        height: 80px;
        line-height: 16px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 5;
    }

    .news_section_info .news_photo {
        display: none;
    }

    .news_button {
        padding: 5px 0 0 0;
    }

    .news_button a {
        font-size: 16px;
        padding: 5px 20px;
        border-radius: 10px;
    }

    .show_news_section {
        width: 100%;
        padding: 0;
        margin: 30px 0;
    }

    .show_news_section .news_photo {
        width: 100%;
    }

    .show_news_section p {
        font-size: 18px;
        padding: 8px 10px;
    }

    /* Сторінка ліків */

    .medicine_section {
        background: none;
        grid-template-columns: repeat(3, 1fr);
    }

    .medicine_card {
        position: relative;
        height: 440px;
        border-radius: 15px;
        margin: 5px;
    }

    .medicine_title {
        font-size: 18px;
    }

    .medicine_image {
        height: 230px;
    }

    .medicine_price {
        font-size: 22px;
        margin: 5px 0 3px 3px;
    }

    .medicine_description p {
        font-size: 14px;
        margin: 0 3px;
    }

    .medicine_location {
        font-size: 12px;
        margin: 5px 3px;
    }

    .location_icon {
        width: 25px;
        margin: 5px 0 0 3px;
    }

    .medicine_button,
    .medicine_button .soldout {
        position: absolute;
        width: 96%;
        text-align: center;
        font-size: 18px;
        padding: 5px 0;
        border-radius: 10px;
        bottom: 5px;
        left: 2%;
    }

    /* Лікарі */

    .doctor_section {
        background: none;
    }
    .doctor_box {
        background-color: white;
        height: fit-content;
        flex-wrap: wrap;
        justify-content: center;
        border: none;
        border-top: 2px solid #111618;
        border-bottom: 2px solid #111618;
        border-radius: 0;
        margin: 15px 0;
    }

    .doctor_photo {
        width: 25%;
        padding: 8px;
    }

    .doctor_photo img {
        width: 100%;
        object-fit: cover;
    }

    .doctor_info {
        width: 65%;
        padding: 8px;
    }

    .doctor_name {
        font-size: 24px;
    }

    .doctor_specialization {
        font-size: 20px;
    }

    .doctor_expiriance,
    .doctor_rating {
        font-size: 18px;
    }

    .doctor_schedule {
        border: 1px solid #8c8c8c;
        border-radius: 5px;
        width: 100%;
        height: 200px;
        margin: 10px;
        padding: 10px;
        padding-top: 0;
    }
    .column {
        flex-shrink: 0;
        width: 80px;
    }
    .column .column_title {
        width: 100%;
        margin: 0;
        text-align: center;
        font-size: 14px;
    }
    .schedule_time_box {
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 5px;
    }
    .schedule_time {
        border-radius: 5px;
        padding: 3px 10px;
        font-size: 18px;
    }

    /* Кабінет користувача */

    .tab_img,
    .tab_img_selected {
        margin: 6px 0;
    }

    .warning {
        margin: 10px 2%;
        width: 94%;
        border-radius: 5px;
    }
    .warning_message {
        font-size: 16px;
        text-align: justify;
    }
    .warning_message .email_verify {
        font-size: 16px;
    }

    .tabs_body {
        padding: 20px 0;
    }

    .tab_nav {
        text-align: center;
        font-size: 16px;
        border-radius: 5px;
    }
    .selected {
        border: 2px solid #ff922d;
    }
    .tab_nav img{
        display: none;
        pointer-events: none;
    }
    #tab_1 .tab_img {
        display: none;
    }
    #tab_1 .tab_img_selected {
        display: block;
    }

    .tab_block {
        padding: 10px 0;
    }

    .clear_tab {
        height: 200px;
    }
    .clear_tab p {
        font-size: 30px;
    }

    .office_card_box {
        width: 96%;
        padding: 2%;
        grid-template-columns: repeat(3, 1fr);
    }
    .office_card {
        margin: 3%;
        padding: 5px;
        border-radius: 10px;
    }
    .office_card:hover {
        box-shadow: 0 3px 7px #d29985;
        transform: translateY(-0.2vw);
    }
    .office_card_title {
        font-size: 20px;
    }
    .office_card_info li {
        margin-top: 5px;
        font-size: 14px;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    ul .order_date {
        font-size: 10px;
    }

    #tab_3,
    #tab_4 {
        padding: 20px 2%;
    }
    .tab_block p {
        font-size: 18px;
        padding: 0;
        margin: 5px 0;
    }
    .email_content .email_verify {
        display: block;
        margin: 10px 0;
        padding: 0 5px;
        font-size: 18px;
        width: 80%;
        height: 20px;
        border-radius: 5px;
    }
    .success_icon {
        height: 20px;
        width: 20px;
        transform: translateY(4px);
    }

    .user_settings {
        height: 150px;
    }
    .logout_button {
        width: 50%;
        font-size: 18px;
        border-radius: 5px;
        padding: 5px 10px;
    }

    .review_box {
        width: 96%;
        margin: 0;
        padding: 10px 2%;
        background-color: #09C160;
        border-radius: 0;
    }

    .review_message {
        width: 80%;
        font-size: 16px;
        text-align: center;
    }

    .review_send {
        text-align: center;
        width: 20%;
        font-size: 14px;
        border-radius: 5px;
        padding: 5px 10px;
        margin-left: 3%;
    }

    /* Про нас */

    .about_us {
        line-height: 1.2;
        padding: 10px 0;
    }

    .about_us h2 {
        margin-top: 30px;
    }
    .about_us h3 {
        text-align: left;
        margin-top: 10px;
        font-size: 24px;
        padding: 0 10px;
    }
    .about_us ul {
        margin: 0;
        list-style: none;
    }
    .about_us ul li:before {
        content: '• ';
    }
    .about_us ul li,
    .about_us p {
        font-size: 18px;
        padding: 0 10px;
    }

    .member_item {
        width: 45%;
        height: 100%;
    }
    .member_image {
        width: 180px;
        height: 180px;
        box-shadow: 0 0 20px #ff644d;
    }
    .member_info h3 {
        font-size: 20px;
    }
    .member_info {
        padding-top: 10px;
        font-size: 18px;
    }

    /* Попап */

    .popup_body {
        width: 100%;
        padding: 0;
    }
    .popup_box {
        border-radius: 10px;
        padding: 10px;
    }

    .popup_header {
        padding-bottom: 5px;
        margin-bottom: 5px;
        font-size: 30px;
    }

    .popup_info {
        width: 100%;
    }
    .popup_photo {
        width: 70%;
        height: 150px;
        border-radius: 10px;
        padding: 3px;
        margin: 0 10px 0 0;
    }
    .popup_photo .doctor_photo {
        width: 100%;
    }

    .popup_info h4 {
        font-size: 24px;
        margin-bottom: 5px;
    }
    .popup_info p {
        font-size: 18px;
        margin-bottom: 5px;
    }
    .popup_message {
        margin-top: 5px;
    }

    .quantity {
        margin: 10px 0;
    }
    .order_amount {
        width: 25px;
        height: 25px;
        font-size: 22px;
    }
    .decrease,
    .increase {
        width: 25px;
        height: 25px;
    }

    .order_price_text {
        font-size: 16px;
    }
    .order_price {
        font-size: 30px;
        font-weight: 600;
    }

    .popup_link {
        margin-top: 10px;
        font-size: 20px;
        border-radius: 5px;
        padding: 5px 10px;
    }
    .popup_close {
        display: none;
    }

    .review_rating_send {
        width: 30px;
        height: 30px;
        font-size: 24px;
        transform: translateY(2px);
    }
    .review_message_send {
        width: 96%;
        height: 100px;
        font-size: 18px;
        margin-top: 10px;
        padding: 2%;
    }

    .rating_stars_send {
        padding: 0;
        align-items: center;
    }
    .rating_stars_send .star {
        width: 30px;
        height: 30px;
    }
    .rating_stars_send p {
        padding: 0;
        font-size: 24px;
        transform: translateY(3px);
    }
}

@media (max-width: 425px) {
    .card_icon_1 {
        max-width: 190px;
        transform: translateY(5%);
    }

    .card_icon_2 {
        max-width: 95px;
        transform: translateY(10%);
    }

    .card_icon_3 {
        max-width: 155px;
        transform: translateY(10%);
    }

    .medicine_section {
        grid-template-columns: repeat(2, 1fr);
    }

    .medicine_image {
        height: 180px;
    }

    .medicine_card {
        height: 390px;
    }

    .office_card_box {
        grid-template-columns: repeat(2, 50%);
    }
}

@media (max-width: 375px) {
    .medicine_image {
        height: 155px;
    }
    .member_image {
        width: 150px;
        height: 150px;
        box-shadow: 0 0 20px #ff644d;
    }

}

@media (max-width: 320px) {
    .medicine_image {
        height: 135px;
    }
    .member_image {
        width: 120px;
        height: 120px;
        box-shadow: 0 0 20px #ff644d;
    }
}
